Subject: Re: [Emacs-diffs] emacs-25 8ff888a: Improve fix for regex reentrancy abort

From: Stefan Monnier <[email-masked]>
Date: Sat, 21 Nov 2015 21:23:31 -0500

> Perhaps Stefan or someone else will be able to knock a few cycles free to
> fix this. I'm afraid I've been spending most of my time elsewhere in Emacs
> recently, what with the new module code and all.

My crystal ball tells me that maybe it's just the following hunk which
is to blame:

   diff --git a/src/syntax.c b/src/syntax.c
   index 5b0ec6d..f939a76 100644
   --- a/src/syntax.c
   +++ b/src/syntax.c
   @@ -514,7 +514,6 @@ update_syntax_table_forward (ptrdiff_t charpos, bool init,
        {
          eassert (NILP (object));
          eassert (charpos >= gl_state.e_property);
   -      parse_sexp_propertize (charpos);
        }
      else
        {

I think this hunk is just a mistake that was introduced during the
"back&forth" that took place when you added and then removed the "bool
propertize" argument.

        Stefan